Summary: The Fast Light Toolkit
Name: fltk
Version: 1.1.9
Release: 9%{?dist}
License: LGPL2
Group: System Environment/Libraries
URL: http://www.fltk.org/
Source0: http://ftp.easysw.com/pub/%{name}/%{version}/%{name}-%{version}-source.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++
BuildRequires: libXt-devel, libX11-devel, libXext-devel, libXft-devel
BuildRequires: libGL-devel, libGLU-devel
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel
BuildRequires: freetype-devel
BuildRequires: alsa-lib-devel

Obsoletes: fltk-devel < %{evr}
Provides: fltk-devel = %{evr}
Requires: libXt-devel, libX11-devel, libXext-devel, libXft-devel
Requires: libGL-devel, libGLU-devel
Requires: libjpeg-devel, libpng-devel, zlib-devel
Requires: freetype-devel
Requires: alsa-lib-devel

%description
FLTK (pronounced "fulltick") is a cross-platform C++ GUI toolkit for
UNIX®/Linux® (X11), Microsoft® Windows®, and MacOS® X. FLTK provides
modern GUI functionality without the bloat and supports 3D graphics
via OpenGL® and its built-in GLUT emulation.

%prep
%setup -q
perl -pi -e's, test , ,' Makefile

%build
%configure \
	--enable-shared \
	--enable-threads \
	--enable-xdbe \
	--enable-xft
make

%install
rm -rf %{buildroot}
%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}
ln -s %{_lib} %{buildroot}%{_libdir}/../lib
%endif
make install DESTDIR=%{buildroot} docdir=%{_defaultdocdir}/%{name}-%{version}
%ifarch x86_64
rm -f %{buildroot}%{_libdir}/../lib
%endif
install -p -m 0644 ANNOUNCEMENT CHANGES COPYING CREDITS README \
  %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc 
%{_defaultdocdir}/%{name}-%{version}
%{_bindir}/fluid

%{_libdir}/libfltk.so.*
%{_libdir}/libfltk_forms.so.*
%{_libdir}/libfltk_gl.so.*
%{_libdir}/libfltk_images.so.*

%{_bindir}/fltk-config
%{_includedir}/FL
%{_includedir}/Fl
%{_libdir}/libfltk.so
%{_libdir}/libfltk.a
%{_libdir}/libfltk_forms.so
%{_libdir}/libfltk_forms.a
%{_libdir}/libfltk_gl.so
%{_libdir}/libfltk_gl.a
%{_libdir}/libfltk_images.a
%{_libdir}/libfltk_images.so
%{_mandir}/man1/fltk-config.1*
%{_mandir}/man1/fluid.1*
%{_mandir}/man3/fltk.3*

%exclude /usr/share/man/cat*/

%changelog
* Mon Aug 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.9-9
- Update to 1.1.9.

* Wed Sep 20 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.7-7
- Update to 1.1.7.

* Sat Sep 24 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.6.

* Sun Oct  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.5rc3.

* Sat Sep 18 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

